Gecode::Int::BinPacking::ConflictGraph::Nodes Class Reference

Iterator over node sets. More...

`#include <bin-packing.hh>`

## Public Member Functions

| Nodes (const NodeSet &ns)
| Initialize for nodes in ns.

## Iteration control

void | operator++ (void)
| Move iterator to next node (if possible).

## Node access

int | operator() (void) const
| Return current node.

## Detailed Description

Iterator over node sets.

Definition at line 243 of file bin-packing.hh.

## Constructor & Destructor Documentation

## Nodes()

Gecode::Int::BinPacking::ConflictGraph::Nodes::Nodes | ( | const NodeSet & | ns | ) |

inline

Initialize for nodes in ns.

Definition at line 115 of file conflict-graph.hpp.

## Member Function Documentation

## operator++()

void Gecode::Int::BinPacking::ConflictGraph::Nodes::operator++ | ( | void |  | ) |

inline

Move iterator to next node (if possible).

Definition at line 118 of file conflict-graph.hpp.

## operator()()

int Gecode::Int::BinPacking::ConflictGraph::Nodes::operator() | ( | void |  | ) | const

inline

Return current node.

Definition at line 122 of file conflict-graph.hpp.

The documentation for this class was generated from the following files:

- gecode/int/bin-packing.hh
- gecode/int/bin-packing/conflict-graph.hpp